
Redmine - Defect #10277

Redmine wikitext URL-into-link creation with hyphen is wrong

2012-02-20 06:59 - Fares Abdullah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed Affected version: 1.3.1

Description

Redmine 1.3.0

Typing test-www.example.com creates a link only for the "www.example.com" part, but the host is "test-www", and not "www".

Associated revisions

Revision 11474 - 2013-02-24 13:56 - Jean-Philippe Lang

Restricts characters before auto links (#10277).

Revision 11566 - 2013-03-09 10:17 - Jean-Philippe Lang

Merged r11474 from trunk (#10277).

History

#1 - 2012-02-20 07:00 - Fares Abdullah

I have to use <pre> to describe the above:

Typing test-www.example.com creates a link only for the "www.example.com" part, but the host is "test-www", an

d not "www".

#2 - 2012-02-28 11:09 - fangzheng (方正)

How about adding the prefix "http"?

That will create the link as:

http://test-www.example.com

Maybe the Text formatting is not that smart as we expect ;)

#3 - 2012-02-28 12:31 - Etienne Massip

- Category set to Text formatting

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

- Affected version (unused) set to 1.3.1

- Affected version set to 1.3.1

#4 - 2012-02-29 03:09 - fangzheng (方正)

Maybe the "www" is the root cause?

See in below:

test@example.com

test@www.com

test@example.com

test@www.com    

By the way, most URLs can not be recognized w/o "www" (and prefix).

e.g.
http://test-www.example.com
mailto:test@example.com
mailto:test@www.com


news.google.com

#5 - 2013-02-24 13:58 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.3.0

- Resolution set to Fixed

Fixed in r11474. test-www.example.com will no longer generate a broken link. Use protocol (eg. http://) for URLs that does not start with www.

#6 - 2013-03-09 10:17 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
